@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');


/* Configurações Globais */

:root{
    font-family: 'Nunito', sans-serif;
}

* {
padding:0;
margin:0;
}

/* Reseta o box-sizing para todos os elementos */
*,
*::before,
*::after {
  box-sizing: border-box;
}

footer {
    font-size: 10pt;
    border-top: 1px solid #ccc;
}

body, html {
overflow-x:hidden;
min-height: 100%;
height: 100%;
}

main{
    width: min(90%, 1140px);
    margin: 0 auto;
    padding: 16px 0px;    
    
}

body.overlay-travado {
  overflow: hidden;
}


.limiter-container{
    width:min(90%,1140px);
    margin:0 auto;
}

.bloco-alerta {
    margin: 16px;
    padding: 8px;
    border: 1px solid orange;
    background-color: #ffe9c1;
    color: #2f230e;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 8px;
}
.icone-alerta i {
    font-size: 18pt;
}

.bi.bi-check-circle {
    height: 66px;
    width: 60px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    margin-top: 16px;
    margin-bottom: 16px;
    color: #18ac2b;
}

.texto-codigo {
    font-size: 16pt;
    line-height: 1.6;
    font-weight: bolder;
}

.texto-chamar-vendedor {
    font-size: 11pt;
    font-weight: normal;
    color: #444;
}

/* Cabeçalho */

header {
    background-color: #ac1830;
}

.container-cabecalho {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4px;
}
.bloco-logo-site img {
    width: auto;
    height: 65px;
}

.bloco-icones {
    color: #f2f2f2;
    display: flex;
    gap: 4px;
    align-items: center;
    font-size: 15pt;
}

span.qtd-itens-carrinho {
    font-size: 12pt;
}

span.qtd-itens-carrinho {
    font-size: 11pt;
    background-color: #f2f2f2;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    color: #222;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bolder;
}

footer {
    text-align: center;
    padding: 8px 4px;
}

.info-empresa {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  justify-content: center;
  text-align: center;
}


/* Sacola */
.sacola-suspensa {
  position: fixed;
  top: 0;
  right: -100%;
  width: 100vw;
  max-width: 350px;
  height: 100dvh;
  display: flex;
  flex-direction: column;
  background: #fff;
  border-left: 1px solid #ccc;
  box-shadow: -3px 0 8px rgba(0, 0, 0, 0.1);
  z-index: 69;
  transition: right 0.3s ease;
  padding-top: env(safe-area-inset-top, 0);
  padding-bottom: env(safe-area-inset-bottom, 0);
}


.acoes-sacola > a {
  color: inherit;
  text-decoration: none;
  font-weight: bolder;
}

.sacola-suspensa.ativa {
  right: 0;
}

.sacola-cabecalho,
.resumo-sacola {
  border-bottom: 1px solid #eee;
}

.resumo-sacola {
  flex-shrink: 0;
  z-index: 2;
}

.sacola-cabecalho {
  display: flex;
  justify-content: space-between;
  padding: 1rem;
  align-items: baseline;
}


.sacola-btn-menos {
}
.sacola-qtd-box > input {
  width: 24px;
  text-align: center;
  border: 1px solid #ccc;
}
/* Remove setas no Chrome, Edge, Opera */
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Remove setas no Firefox */
input[type=number] {
    -moz-appearance: textfield;
}
.sacola-qtd-input {
  height: 24px;
  background-color: #f2f2f2;
  border-radius: 8px;
}
.sacola-btn-menos, .sacola-btn-mais {
  height: 24px;
  width: 24px;
  border: 0;
  border-radius: 8px;
  background-color: #ac1830;
  color: white;
  font-weight: bolder;
  display: flex;
  align-items: center;
  justify-content: center;
}

#btnStep1 > span:last-child {
  display: flex;
  align-items: center;
  gap: 4px;
}

.message-stock {
    display: none;
    padding: 6px 10px;
    background: #fff3cd;
    color: #856404;
    border: 1px solid #ffeeba;
    border-radius: 6px;
    font-size: 13px;
    margin-top: 6px;
    animation: fadeIn 0.2s ease;
}

.message-stock i {
    margin-right: 4px;
}


.sacola-qtd-box {
  display: flex;
  align-items: center;
  gap: 4px;
}

.capsula-resumo {
  padding: 1rem;
  border-top: 1px solid #aaa;
}

#btnFecharSacola {
  all: unset;
    cursor: unset;
  cursor: pointer;
}
.sacola-step {
  flex-grow: 1;
  min-height: 0;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.lista-itens-sacola {
  flex: 1 1 auto;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  padding: 1rem;
  list-style: none;
}

.bloco-segunda-etapa,
.bloco-terceira-etapa{
  flex: 1 1 auto;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  padding: 1rem;
  list-style: none;    
}

.abrir-sacola {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background: #000;
  color: #fff;
  padding: 0.7rem 1rem;
  border-radius: 50px;
  z-index: 1000;
  cursor: pointer;
}

.card-opcao {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
  border: 2px solid #ccc;
  border-radius: 10px;
  padding: 1rem;
  cursor: pointer;
  transition: border-color 0.3s;
}
.card-opcao input[type="radio"] {
  display: none;
}
.card-opcao .cartao-estilo {
  display: flex;
  color: #333;
  gap: 1rem;
}
.card-opcao:has(input:checked) {
  border-color: #007bff;
  background-color: #f0f8ff;
}

.info-item > .bloco-imagem img {
  height: 80px;
  width: auto;
  border-radius: 8px;
}

.loader-dots {
  display:flex;
  gap:6px;
}

.loader-dots span {
  width:8px;
  height:8px;
  background:#ff97b1;
  border-radius:50%;
  animation: dots 1s infinite ease-in-out;
}

.loader-dots span:nth-child(2) { animation-delay: .2s; }
.loader-dots span:nth-child(3) { animation-delay: .4s; }

@keyframes dots {
  0%, 80%, 100% { transform:scale(0); }
  40% { transform:scale(1); }
}

.info-item {
  display: inline-flex;
  gap: 8px;
  margin: 16px 0px;
  align-items:flex-start;
}

.overlay-sacola-loader {
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.90);
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity .25s ease;
}

.overlay-sacola-loader.ativo {
  opacity: 1;
  pointer-events: all;
}

.overlay-sacola-loader .overlay-content {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}

.loader-text {
  font-size: 14px;
  font-weight: 600;
  color: #fff;
}

.loader-percent {
  font-size: 18px;
  font-weight: bold;
  color: #fff;
}


.bloco-nome-sku > p:nth-child(2) {
  font-size: 10pt;
  font-style: italic;
}
.capsula-campo > input:focus {
  border: 1px solid #ac1830;
  box-shadow: 0px 0px 0px 4px rgba(255,0,0,0.15);
}

.remover-item {
  height: max-content;
  all: unset;
    font-size: unset;
    color: unset;
    cursor: unset;
  font-size: 10pt;
  cursor: pointer;
  color: #ac1830;
}

/* Dialogo */

.dialog-gerando-pedido {
  position: absolute;       /* relativo à sacola-suspensa */
  inset: 0;                 /* ocupa toda a sacola */
  display: none;            /* começa invisível */
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

.dialog-gerando-pedido.ativo {
  display: flex;            /* ativa como flex centralizado */
}

.dialog-gerando-pedido .dialog-backdrop {
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.9); /* backdrop só na sacola */
}

.dialog-gerando-pedido .dialog-content {
  position: relative;
  background: #fff;
  padding: 2rem 3rem;
  border-radius: 12px;
  box-shadow: 0 4px 20px rgba(0,0,0,0.15);
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  font-weight: 600;
  color: #ac1830;
}



/* Loader Radial */

.loader-radial {
  position: relative;
  width: 32px;
  height: 32px;
  border-radius: 10px;
}

.loader-radial div {
  width: 8%;
  height: 24%;
  background: rgb(128, 128, 128);
  position: absolute;
  left: 50%;
  top: 30%;
  opacity: 0;
  border-radius: 50px;
  box-shadow: 0 0 3px rgba(0,0,0,0.2);
  animation: fade458 1s linear infinite;
}

@keyframes fade458 {
  from {
    opacity: 1;
  }

  to {
    opacity: 0.25;
  }
}

.loader-radial .bar1 {
  transform: rotate(0deg) translate(0, -130%);
  animation-delay: 0s;
}

.loader-radial .bar2 {
  transform: rotate(30deg) translate(0, -130%);
  animation-delay: -1.1s;
}

.loader-radial .bar3 {
  transform: rotate(60deg) translate(0, -130%);
  animation-delay: -1s;
}

.loader-radial .bar4 {
  transform: rotate(90deg) translate(0, -130%);
  animation-delay: -0.9s;
}

.loader-radial .bar5 {
  transform: rotate(120deg) translate(0, -130%);
  animation-delay: -0.8s;
}

.loader-radial .bar6 {
  transform: rotate(150deg) translate(0, -130%);
  animation-delay: -0.7s;
}

.loader-radial .bar7 {
  transform: rotate(180deg) translate(0, -130%);
  animation-delay: -0.6s;
}

.loader-radial .bar8 {
  transform: rotate(210deg) translate(0, -130%);
  animation-delay: -0.5s;
}

.loader-radial .bar9 {
  transform: rotate(240deg) translate(0, -130%);
  animation-delay: -0.4s;
}

.loader-radial .bar10 {
  transform: rotate(270deg) translate(0, -130%);
  animation-delay: -0.3s;
}

.loader-radial .bar11 {
  transform: rotate(300deg) translate(0, -130%);
  animation-delay: -0.2s;
}

.loader-radial .bar12 {
  transform: rotate(330deg) translate(0, -130%);
  animation-delay: -0.1s;
}

.overlay-sacola-loader {
  position: absolute;
  inset: 0;
  background: rgba(55, 55, 55, 0.85);
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

.overlay-sacola-loader.ativo {
  opacity: 1;
  pointer-events: all;
}


.capsula-item-preco {
  display: flex;
  justify-content: space-between;
  align-items:center;
  margin: 0.5rem;
}

.btn-proximo-step {
    all: unset;
    background-color: unset;
    color: unset;
    text-align: unset;
    padding-top: unset;
    padding-right: unset;
    padding-bottom: unset;
    padding-left: unset;
    width: unset;
    background-color: #ac1830;
    width: 100%;
    padding: 8px;
    display: flex;
    height: 40px;
    color: #f2f2f2;
    align-items: center;
    justify-content: space-around;
    gap: 8px;
}

#btnFinalizarSacola {
    all: unset;
    background-color: unset;
    color: unset;
    text-align: unset;
    padding-top: unset;
    padding-right: unset;
    padding-bottom: unset;
    padding-left: unset;
    width: unset;
    background-color: #ac1830;
    width: 100%;
    padding: 8px;
    display: flex;
    height: 40px;
    color: #f2f2f2;
    align-items: center;
    justify-content: space-around;
    gap: 8px;
}

#btnFinalizarSacola > span:last-child {
  display: flex;
  align-items: center;
}

.btn-falar-vendedor {
    all: unset;
    height: 40px;
    width: 100%;
    text-align: center;
    background-color: #00ff72;
    padding: 8px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.card-opcao:has(input:checked) {
    border-color: #ac1830;
    background-color: #fff4f6;
    box-shadow: 0px 0px 0px 3px rgba(155,0,0,0.25);
}

.container-svg svg {
  width: 24px;
  height: 24px;
}

.container-svg {
  background-color: rgba(255,100,100,0.25);
  padding: 0.5rem;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

button.btn-voltar-step {
    width: max-content;
    all: unset;
    margin: 16px;
}

.opcoes-pagamento {
    padding: 1rem;
    flex-grow: 1;
}

p.total-de-itens, p.sub-total-carrinho, p.desconto-pix, p.total-pedido {
    display: flex;
    justify-content: space-between;
}

.btn-proximo-step:hover{
    cursor:pointer;
}

.bloco-cliente {
    padding: 1rem;
}

.capsula-campo {
    display: flex;
    flex-direction: column;
}

.capsula-campo input {
    height: 48px;
    border-radius: 8px;
    border: 1px solid #999;
    margin: 8px 0px;
    padding: 8px;
}

.sacola-cabecalho i {
    font-size: 16pt;
}

button.btn-voltar-step i {
    font-size: 16pt;
}

button.btn-voltar-step {
    width: max-content;
    all: unset;
    margin: 16px;
    display: flex;
    align-items: center;
    gap: 8px;
}